> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# `GET /api/v1/shipments/:id`

> `GET /api/v1/shipments/:id`

### Path parameters

<ParamField path="id" type="string" required>
  Shipment ID (UUID)
</ParamField>

### Responses

<ResponseField name="200" type="ShipmentResponse">
  Shipment details
</ResponseField>

<ResponseField name="404" type="ErrorBody">
  Shipment not found
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/shipments/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "carrier": "string",
    "created_at": "2026-07-24T12:00:00Z",
    "delivered_at": null,
    "estimated_delivery": null,
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "recipient_name": "string",
    "shipment_number": "string",
    "shipped_at": null,
    "shipping_cost": null,
    "shipping_method": "string",
    "status": "string",
    "tracking_number": null,
    "tracking_url": null,
    "updated_at": "2026-07-24T12:00:00Z"
  }
  ```
</ResponseExample>
